#! /usr/bin/python

"""
SYNOPSIS
    Bowls League Clear History Dialog.

    This file is part of Tartan Financial Systems (TARTAN).

AUTHOR
    Written by Paul Malherbe, <paul@tartan.co.za>

COPYING
    Copyright (C) 2004-2012 Paul Malherbe. Free use of this software is
    granted under the terms of the GNU General Public License (GPL) as
    published by the Free Software Foundation, either version 2 of the
    License, or (at your option) any later version.

    TARTAN is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License along
    with TARTAN, if not, write to the Free Software Foundation, Inc.,
    59 Temple Place, Suite 330, Boston, MA  02111-1307  USA or view/download
    it at http://www.gnu.org/licenses/gpl.txt
"""

from TartanClasses import TartanDialog, Sql

class bc2070:
    def __init__(self, mf):
        self.mf = mf
        self.setVariables()
        self.mainProcess()
        self.mf.startLoop()

    def setVariables(self):
        self.sql = Sql(self.mf.dbm, prog=__name__)

    def mainProcess(self):
        tit = ("Clear Selection History",)
        r1s = (("Yes","Y"), ("No","N"))
        fld = (
            (("T",0,0,0),("IRB",r1s),0,"Clear Players","",
                "N","N",self.doPlay,None,None,None),
            (("T",0,1,0),("IRB",r1s),0,"Clear Opponents","",
                "N","N",self.doOpps,None,None,None))
        tnd = ((self.doEnd,"y"),)
        txt = (self.doExit,)
        self.df = TartanDialog(self.mf, tops=False, title=tit, eflds=fld,
            tend=tnd, txit=txt)

    def doPlay(self, frt, pag, r, c, p, i, w):
        self.play = w

    def doOpps(self, frt, pag, r, c, p, i, w):
        self.opps = w

    def doEnd(self):
        self.df.closeProcess()
        if self.play == "y":
            self.sql.delRec("bwlflp")
        if self.opps == "y":
            self.sql.delRec("bwlflo")
        self.sql.delRec("bwlfls")
        self.sql.delRec("bwlflm")
        self.sql.delRec("bwlflt")
        self.mf.dbm.commitDbase()
        self.mf.closeLoop()

    def doExit(self):
        self.df.closeProcess()
        self.mf.closeLoop()
